<?
/*
Stronghold CMS - Stronghold Database Installer
Copyright (C) 2008 Scott Barnett

This program is free software; you can redistribute it and/or
modify it under the terms of Version 3 of the GNU General Public
License as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

-------------------------------------------------------------------
MUST BE RUN FROM THE COMMAND LINE (security reasons)


*/


$test=true;
$drop_unknown_tables=false;
$drop_unknown_constraints=true;
$populate_database=false;

$prefixes=array();

$db_common_prefix="common_";

// You shouldn't need to edit anything below this line
//*****************************************************************************************************************************

//limit this script to running from the console
if (!is_array($_SERVER["argv"])){ echo ("FATAL: This script cannot be invoked with this method."); exit(); }

//fix the document root so the libraries work
$_SERVER["DOCUMENT_ROOT"]=dirname(dirname(realpath($_SERVER["PWD"]."/".$_SERVER["PHP_SELF"])));


include ($_SERVER["DOCUMENT_ROOT"]."/_system/stronghold.php");
$database_type=$CONFIG["db_type"];
include ($_SERVER["DOCUMENT_ROOT"]."/_tools/db_schema.php");
include ($_SERVER["DOCUMENT_ROOT"]."/_system/schema-matic.php");

$options=array(
	"test"=>$test,
	"drop_unknown_tables"=>$test,
	"drop_unknown_constraints"=>$drop_unknown_constraints,
);

install_schema($db,$txt_tables,$txt_constraints,$stored_procedures,$options);

if ($populate_database){ populate_database($db,$populate,$test); }

$now=time();
?>
